Subject: Ticket Assigned - Article Feedback - متى سأستلم طلبي؟
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 13 Jul 2022 06:43:04 +0000

Hi Reenad Alosaimi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - متى سأستلم طلبي؟ Feedback for:  متى سأستلم طلبي؟ My shipment did not arrive on time and I was in Riyadh. I ordered on July 2 and the order is supposed to arrive on July 7 Where is the defect? I am very angry. The shipment number was shipped. Your order number 6153265423 for the product is a bag with a detachable shoulder strap from... +3AWB Product(s) FP0702220004706 Expect delivery on 07-07-2022. Order Tracking https://centrepoint.app.link/e/3pXacZBHkrb https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4611418